Ubuntu

Banshee refuses to sync with ipod touch due to missing converter

Reported by Alex Forencich on 2011-03-11
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
banshee (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: banshee

Banshee refuses to sync with a new iPod touch 4.2.1. The device seems to be properly detected, however when attempting to drag an album to the iPod, the transfer fails with

    The [ogg|mp3] format is not supported by the device, and no converter was found to convert it.

The error messages are accompanied by debug logs of the form:

[5 Warn 03:07:58.970] Caught an exception - System.ApplicationException: The ogg format is not supported by the device, and no converter was found to convert it (in `Banshee.Dap')
  at Banshee.Dap.DapSource.AddTrackAndIncrementCount (Banshee.Collection.Database.DatabaseTrackInfo track) [0x00000] in <filename unknown>:0
  at Banshee.Sources.PrimarySource.AddTrackList (System.Object cached_list) [0x00000] in <filename unknown>:0

Earlier on in the debug output is a series of messages like this:

[5 Debug 03:07:57.557] Starting
[5 Debug 03:07:58.464] Initialized MediaProfileManager: 0.864807
[5 Debug 03:07:58.621] GStreamer pipeline does not run: audioconvert ! novellaacenc bitrate=128000 profile=2 outputformat=0 ! novellqtmux
[5 Debug 03:07:58.732] GStreamer pipeline does not run: audioconvert ! xingenc bitrate=128 ! id3v2mux
[5 Debug 03:07:58.804] GStreamer pipeline does not run: audioconvert ! fluwmaenc bitrate=64000 vbr=false ! fluasfmux

that seem to indicate the codec is missing. However, all gstreamer plugins seem to be installed. Also, this is not a new bug, several forum postings (http://ubuntuforums.org/showthread.php?t=1592840) are floating around about the same issue.

David Horváth (chronos-hun) wrote :

Found this : "OK so I spotted the config location in the user guide on the project homepage and deleted both ~/.config/banshee and ~/.config/banshee-1 folders...now it's all working! :)"

Source: https://answers.launchpad.net/banshee/+question/58921

Please check this workaround.

Changed in banshee (Ubuntu):
status: New → Confirmed

Deleted ~/.config/banshee-1, same errors. ~/.config/banshee did not exist.

Solved. Not a banshee issue. The problem was my assumption that it was being properly detected. It was not. The Ubuntu packages usbmuxd and ifuse (perhaps libgpod4 and libimobiledevice1 as well) are out of date and do not support the latest version of the ipod simply because of a new USB device id. Fixed packages are available in pmcenery/ppa. Installing the updated versions of these packages and rebooting solved the issue.

Changed in banshee (Ubuntu):
status: Confirmed → Invalid
Christoph Langner (chrissss) wrote :

I can confirm this issue. Even with mentioned pmcenery/ppa repository i get the same errors.

Changed in banshee (Ubuntu):
status: Invalid → Confirmed
Christoph Langner (chrissss) wrote :

Retestet with a clean natty installation. Sync works ootb...

Changed in banshee (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers